/***************************************************************************
* IRCClient.java
*
* Copyright (c) 2007, kfmes & lindol All rights reserved.
* 
* kfmes(KIM Ga-hyeon, klchat@kfmes.com)

* Lindol(PARK Ju-Yeon, lindolsang@gmail.com) 
* 
* http://kldp.net/projects/klchat or http://klchat.kldp.net
* 
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
*     * Redistributions of source code must retain the above copyright
*       notice, this list of conditions and the following disclaimer.
*     * Redistributions in binary form must reproduce the above copyright
*       notice, this list of conditions and the following disclaimer in the
*       documentation and/or other materials provided with the distribution.
*     * Neither the name of the klChat nor the
*       names of its contributors may be used to endorse or promote products
*       derived from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY kfmes & lindol ``AS IS'' AND ANY
* EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
* DISCLAIMED. IN NO EVENT SHALL kfmes & lindol BE LIABLE FOR ANY
* DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
* ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 **************************************************************************/
package kfmes.klChat;

import org.schwering.irc.lib.IRCConnection;
import org.schwering.irc.lib.IRCEventListener;
import org.schwering.irc.lib.IRCModeParser;
import org.schwering.irc.lib.IRCUser;

/**
 * @author kfmes
 * @version $Id: IRCClient.java,v 1.4 2008/01/04 19:16:01 kfmes Exp $
 */
public class IRCClient implements IRCEventListener{

	protected MainFrame frmMain = null;
	protected IRCConnection con = null;
	
	
	public IRCClient(MainFrame frmMain) {
		this.frmMain = frmMain;
	}
	
	public void connect(){
		con = new IRCConnection("iz4u.hanirc.org", new int[] {8080}, null, "kfmes_test", "kfmes_klchat", "kfmes");
		
		con.setEncoding("MS949");
		con.addIRCEventListener(this);
		try{
			con.connect();
		}catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	public void quit(){
		if(con!=null && con.isConnected())
			con.doQuit();
	}

	public void onDisconnected() {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onError(String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onError(int num, String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onInvite(String chan, IRCUser user, String passiveNick) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onJoin(String chan, IRCUser user) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onKick(String chan, IRCUser user, String passiveNick, String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onMode(String chan, IRCUser user, IRCModeParser modeParser) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onMode(IRCUser user, String passiveNick, String mode) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onNick(IRCUser user, String newNick) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onNotice(String target, IRCUser user, String msg) {
		frmMain.tabMap.get("NETWORK").output(msg);
		
	}

	public void onPart(String chan, IRCUser user, String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onPing(String ping) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onPrivmsg(String target, IRCUser user, String msg) {
		frmMain.tabMap.get(target).output('<' + user.getNick() + "> " +msg);
		
	}

	public void onQuit(IRCUser user, String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onRegistered() {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onReply(int num, String value, String msg) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void onTopic(String chan, IRCUser user, String topic) {
		// TODO 자동 생성된 메소드 스텁
		
	}

	public void unknown(String prefix, String command, String middle, String trailing) {
		// TODO 자동 생성된 메소드 스텁
		
	}
	
	

	

}
